
# Documentación: Ocore y Oggui


## Ogdhcp – Gestión de Subredes y Clientes DHCP
Oghcp es el componente encargado de gestionar de forma centralizada gestión de subredes y la asignación de direcciones IP de los clientes a dichas subredes, integrándose de forma transparente con el servidor Kea DHCP. Este componente se comunica directamente con el servidor DHCP para realizar operaciones como:

- Alta, edición y eliminación de subredes.

- Asignación de ordenadores por MAC y dirección IP.

- Sincronización automática con el servicio Kea.


## Añadir Subred
Desde la vista principal de administración de subredes, es posible crear una nueva subred pulsando el botón **Añadir Subred**.


![oggui-dhcp-administrar-anadir_sub.png](../assets/images/screenshots/oggui-dhcp-administrar-anadir_sub.png)


Se abrirá un formulario donde será necesario completar los siguientes campos:

- **Nombre**: identificador libre para distinguir la subred (por ejemplo, Subred-campus-tecnologico).

- **Netmask**: máscara de red (por ejemplo, 255.255.255.0).

- **Dirección IP**: dirección de red (por ejemplo, 192.168.2.0).

### Parámetros avanzados
Opcionalmente se pueden definir los siguientes valores, que se trasladarán directamente a la configuración del servidor Kea DHCP:

- **Next Server**: IP del servidor de arranque (ogboot), usado para PXE.  
   Ejemplo: `192.168.2.1`.

- **Boot File Name**: nombre del fichero de arranque que se enviará al cliente PXE.  
   Ejemplo: `undionly.kpxe`


!!! note "Nota" 
      Si no se define, Kea DHCP usará `undionly.kpxe` para BIOS o `ipxe.efi` para UEFI en función de la arquitectura del sistema que haya solicitado DHCP. A no ser que se quiera usar un fichero de arranque en concreto se recomienda dejar este campo vacío

- **Router**: puerta de enlace de la subred.

- **DNS**: servidor DNS para los clientes.

Una vez completado el formulario, pulsamos **Guardar** para registrar la subred y creará una nueva subred en Kea DHCP.



## Añadir Ordenadores a una Subred

1. Pulsa el botón de asignación de clientes representado por un monitor en la columna **Acciones** de la subred correspondiente.

2. Se abrirá un diálogo donde seleccionas la **Unidad Organizativa** (grupo o aula) desde la que deseas elegir ordenadores.

3. Se mostrará una lista con todos los equipos de esa unidad organizativa disponibles para asignar a la subred. Marca los que desees y pulsa **Añadir**.

![oggui-dhcp-administrar-anadir_cli.png](../assets/images/screenshots/oggui-dhcp-administrar-anadir_cli.png)


### Resultado de la operación
Una vez procesada la asignación, se mostrará una ventana con el resultado de la operación. Esta ventana indicará si los ordenadores han sido añadidos correctamente al servidor Kea DHCP o si ha ocurrido algún error.

![oggui-dhcp-administrar-anadir_cli_success.png](../assets/images/screenshots/oggui-dhcp-administrar-anadir_cli_success.png)

1. En caso de éxito: se mostrará una lista en verde con los ordenadores correctamente sincronizados.

2. En caso de error: se mostrará el motivo del fallo, devuelto directamente por Kea DHCP (por ejemplo, IP fuera de rango, MAC duplicada, etc.).

!!! note "Nota" 
    La asignación de ordenadores también implica la creación de una reserva DHCP en Kea, por lo que cualquier conflicto o incoherencia se detectará en este punto.



### Gestionar Clientes en una Subred
Una vez añadidos los ordenadores a una subred, es posible consultarlos y gestionarlos desde la vista principal de subredes.

Para acceder, pulsamos el botón **Ver clientes** correspondiente a la subred deseada.

![oggui-dhcp-administrar-gestionar_cli.png](../assets/images/screenshots/oggui-dhcp-administrar-gestionar_cli.png) 

En esta vista se muestran los datos principales de cada cliente:

- **Estado**: icono que indica si el estado actual del cliente (encendido/apagado).
- **Nombre**: nombre del ordenador.
- **IP**: dirección IP reservada para el cliente.
- **MAC**: dirección física del equipo.
- **Ruta**: unidad organizativa a la que pertenece el cliente.
- **ogLive**: versión de OgLive asignada al cliente.

### Eliminar cliente
Desde esta misma vista es posible eliminar un cliente de la subred, lo que implica borrar su reserva DHCP en Kea. Para ello, pulsamos el icono de papelera rojo en la columna de acciones.


!!! warning "Cuidado" 
       El borrado es inmediato y se sincroniza con Kea DHCP. El equipo ya no tendrá asignación IP en la subred tras esta acción.








